Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class PortalLayout

    java.lang.Object
      org.jboss.portal.theme.PortalLayout

Direct Known Subclasses:
  JSPLayout

    public abstract class PortalLayout

extends java.lang.Object

Implementation of a `PortalLayout`.

An instance of this class represents the meta data of a portal layout.

Version:
  `$Revision: 8784 $`
Author:
  Martin Holzner.

Field Summary
`protected LayoutInfo` | `info` .
`protected LayoutServiceInfo` | `serviceInfo` .

Constructor Summary
`PortalLayout()`

Method Summary
`void` | `destroy()`
`LayoutInfo` | `getLayoutInfo()`
`abstract RendererContext` | `getRenderContext(ThemeContext themeContext, org.jboss.portal.common.util.MarkupInfo markupInfo, org.jboss.portal.web.ServletContextDispatcher dispatcher)` Provides a render context that will render its markup in the response provided by the servlet context dispatcher.
`abstract RendererContext` | `getRenderContext(ThemeContext themeContext, org.jboss.portal.common.util.MarkupInfo markupInfo, org.jboss.portal.web.ServletContextDispatcher dispatcher, java.io.Writer writer)` Provides a render context that will render its markup in the provided writer.
`LayoutServiceInfo` | `getServiceInfo()`
`void` | `init(LayoutServiceInfo serviceInfo, LayoutInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected LayoutInfo info

  .

### serviceInfo

    protected LayoutServiceInfo serviceInfo

  .

Constructor Detail

### PortalLayout

    public PortalLayout()

Method Detail

### init

    public void init(LayoutServiceInfo serviceInfo,
                     LayoutInfo info)

### destroy

    public void destroy()

### getLayoutInfo

    public LayoutInfo getLayoutInfo()

### getServiceInfo

    public LayoutServiceInfo getServiceInfo()

### getRenderContext

    public abstract RendererContext getRenderContext(ThemeContext themeContext,
                                                     org.jboss.portal.common.util.MarkupInfo markupInfo,
                                                     org.jboss.portal.web.ServletContextDispatcher dispatcher)

  Provides a render context that will render its markup in the response provided by the servlet context dispatcher.

  Parameters:
    `themeContext` - the theme context
    `markupInfo` - the markup info
    `dispatcher` - the way to dispatch to the layout and receive the produced markup
  Returns:
    a render context

### getRenderContext

    public abstract RendererContext getRenderContext(ThemeContext themeContext,
                                                     org.jboss.portal.common.util.MarkupInfo markupInfo,
                                                     org.jboss.portal.web.ServletContextDispatcher dispatcher,
                                                     java.io.Writer writer)

  Provides a render context that will render its markup in the provided writer.

  Parameters:
    `themeContext` - the theme context
    `markupInfo` - the markup info
    `dispatcher` - the way to dispatch to the layout
    `writer` - the writer that will receive the produced markup
  Returns:
    a render context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD